> For the complete documentation index, see [llms.txt](https://docs.consuldemocracy.org/tech_docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.consuldemocracy.org/tech_docs/spanish-6/introduction/servers/mail_server_configuration.md).

# Configuración del servidor de correo

Este es un ejemplo de cómo integrar un servicio de correo con Consul Democracy.

## Obtener una cuenta de tu proveedor de correos de confianza

Para poder configurar el correo en Consul Democracy necesitaremos:

* El *smtp\_address*, que es la dirección del servidor SMTP de tu proveedor de correos (por ejemplo, smtp.tudominio.com).
* El *domain*, que es el nombre de dominio de tu aplicación.
* El *user\_name* y *password*, que son las credenciales que tu proveedor de correos te proporciona para autenticarte en el servidor SMTP.

## Configuración del correo en Consul Democracy

1. Ve al archivo `config/secrets.yml`.
2. Modifica las siguientes líneas en la sección de `staging`, `preproduction` or `production`, dependiendo de tu configuración:

```yml
  mailer_delivery_method: :smtp
  smtp_settings:
     :address: "<smtp address>"
     :port: 587
     :domain: "<domain>"
     :user_name: "<user_name>"
     :password: "<password>"
     :authentication: "plain"
     :enable_starttls_auto: true
```

3. Rellena `<smtp address>`, `<domain>`, `<user_name>` y `<password>` con tu información.
4. Guarda el fichero y reinicia tu aplicación Consul Democracy.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.consuldemocracy.org/tech_docs/spanish-6/introduction/servers/mail_server_configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
